/////////////////////////////////////////////////////////////////////////////
//    License (GPLv2+):
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful, but
//    WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "fshed.h"
#include "HexDumpDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHexDumpDlg dialog


CHexDumpDlg::CHexDumpDlg(CWnd* pParent /*=NULL*/)
    : CDialog(CHexDumpDlg::IDD, pParent)
{
    //{{AFX_DATA_INIT(CHexDumpDlg)
    m_nExportTo = 1;
    m_strEndOffset = _T("");
    m_strStartOffset = _T("");
    //}}AFX_DATA_INIT
   m_nStartOffset = m_nEndOffset = 0;
}


void CHexDumpDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CHexDumpDlg)
    DDX_Radio(pDX, IDC_EXP2FILE_RB, m_nExportTo);
    DDX_Text(pDX, IDC_END_OFFSET_ED, m_strEndOffset);
    DDX_Text(pDX, IDC_START_OFFSET_ED, m_strStartOffset);
    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHexDumpDlg, CDialog)
    //{{AFX_MSG_MAP(CHexDumpDlg)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHexDumpDlg message handlers

BOOL CHexDumpDlg::OnInitDialog() 
{
    m_strStartOffset.Format(_T("x%x"), m_nStartOffset);
    m_strEndOffset.Format(_T("x%x"), m_nEndOffset);
    CDialog::OnInitDialog();
    
    // TODO: Add extra initialization here
    
    return TRUE;  // return TRUE unless you set the focus to a control
                  // EXCEPTION: OCX Property Pages should return FALSE
}
